EXPORT(1)

NAME
export - set export attribute on variables

SYNOPSIS
export [flags] [name[=value]...]

DESCRIPTION

export sets the export attribute on each of the variables specified by name which causes them to be in the environment of subsequently executed commands. If =value is specified, the variable name is set to value.

If no names are specified then the names and values of all exported variables are written to standard output.

export is built-in to the shell as a declaration command so that field splitting and pathname expansion are not performed on the arguments. Tilde expansion occurs on value.

FLAGS

-n  Remove the variable from the export list.

-p  Causes the output to be in the form of export commands that can be used as input to the shell to recreate the current exports.

EXIT STATUS

0   Successful completion.

>0  An error occurred.

SEE ALSO

sh(1), declare(1), typeset(1)

AUTHOR
David J. Korn, et. al.

COPYRIGHT
2019, David J. Korn, et.al.